/*
 * Copyright (C) 2012 Canonical, Ltd.
 *
 * Authors:
 *  Renato Araujo Oliveira Filho <renato@canonical.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
namespace Unity.PeopleLens {

  /* Lens specific set of categories. The enum value maps to the row index
   * in the category model */
  public enum Category
  {
    FAVORITES = 0,
    RECENT_CALLS,
    ALL,
    LAST_SECTION
  }

} 

namespace Friends
{
    public enum StreamModelColumn
    {
        MESSAGE_IDS,
        STREAM,
        SENDER,
        SENDER_ID,
        SENDER_NICK,
        FROM_ME,
        TIMESTAMP,
        MESSAGE,
        HTML,
        ICON_URI,
        URL,
        SOURCE,
        REPLY_NICK,
        REPLY_NAME,
        REPLY_URL,
        LIKES,
        LIKED,
        RETWEET_NICK,
        RETWEET_NAME,
        RETWEET_ID,
        LINK_PICTURE,
        LINK_NAME,
        LINK_URL,
        LINK_DESC,
        LINK_CAPTION,
        LINK_ICON,
        IMG_URL,
        IMG_SRC,
        IMG_THUMB,
        IMG_NAME,
        VIDEO_PIC,
        VIDEO_SRC,
        VIDEO_URL,
        VIDEO_NAME,
        RECIPIENT,
        RECIPIENT_NICK,
        RECIPIENT_ICON
    }
}

